# $Id: perl-Net-Whois-IP.spec 3962 2006-01-14 15:43:56Z dries $
# Authority: dries
# Upstream: Ben Schmitz <ben$foink,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-Whois-IP

Summary: Lookup the whois information for ipaddresses
Name: perl-Net-Whois-IP
Version: 1.01
Release: 2.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-Whois-IP/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BS/BSCHMITZ/Net-Whois-IP-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Perl extension for looking up the whois information for ipadresses.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/Net/Whois
%{perl_vendorlib}/Net/Whois/IP.pm
%{perl_vendorlib}/auto/Net/Whois/IP/

%changelog
* Sat Jan 14 2006 Dries Verachtert <dries@ulyssis.org> - 1.01-2 - 3962/dries
- Also added the directory, thanks to Earl Sammons.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.01-1
- Initial package.

